Skip to main content
GET
/
jobs
/
{job_id}
Get job status
curl --request GET \
  --url https://descriptapi.com/v1/jobs/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "job_id": "6dc3f30a-58c2-4174-96a6-dc18cf3c7776",
  "job_type": "import/project_media",
  "job_state": "stopped",
  "created_at": "2025-11-18T10:30:00Z",
  "stopped_at": "2025-11-18T10:35:00Z",
  "drive_id": "c9c5c47e-158a-49f7-846b-4f6ee2a229a2",
  "project_id": "9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
  "project_url": "https://web.descript.com/9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
  "result": {
    "status": "success",
    "media_status": {
      "Misc/intro.mp4": {
        "status": "success",
        "duration_seconds": 10.5
      },
      "demo.mp4": {
        "status": "success",
        "duration_seconds": 125
      }
    },
    "media_seconds_used": 136,
    "created_compositions": [
      {
        "id": "0171c",
        "name": "Rough Cut"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Personal API token created in Descript Settings → API Tokens. See the Authentication section for details.

Path Parameters

job_id
string<uuid>
required

The job ID

Response

Job status retrieved successfully

Status of an async job. The response structure varies based on the job type. Use the job_type field to determine which fields will be present.

job_id
string<uuid>
required

Unique identifier for the job

Example:

"6dc3f30a-58c2-4174-96a6-dc18cf3c7776"

job_type
enum<string>
required

Type of job

Available options:
import/project_media
job_state
enum<string>
required

Current state of the job:

  • queued: Job is waiting to start
  • running: Job is actively processing
  • stopped: Job has finished (check result.status for outcome)
  • cancelled: Job was cancelled by user
Available options:
queued,
running,
stopped,
cancelled
Example:

"stopped"

created_at
string<date-time>
required

When the job was created

Example:

"2025-11-18T10:30:00Z"

drive_id
string<uuid>
required

The drive ID

Example:

"c9c5c47e-158a-49f7-846b-4f6ee2a229a2"

project_id
string<uuid>
required

The project ID

Example:

"9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb"

project_url
string<uri>
required

URL to access the project in Descript web app

Example:

"https://web.descript.com/9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb"

stopped_at
string<date-time>

When the job stopped (only present when job_state is stopped or cancelled)

Example:

"2025-11-18T10:35:00Z"

progress
object

Progress information for the workflow (only present when job_state is running)

result
ImportSuccessResult · object

Job result (only present when job_state is stopped)